Add a border keyword to the Image syntax
Closed, ResolvedPublic

Description

Author: mlambia

Description:
Add a border keyword to the Image syntax giving a grey border around the image
proper.

This would be useful for presenting images such as the flag of Dubai
http://commons.wikimedia.org/wiki/Image:Flag_of_Dubai.svg that have
"significant" white or very light colors all the way to the edge. It would also
be useful in combination with thumb(nail) or frame.

Various attempts at achieving the intended effect using HTML markup, <div>,
<span>, tables, or Template:Border, turn out to have annoying context-dependent
side effects.

The HTML img element already has a border attribute, which could be used, with
suggested (default) width = 1px. Suggested (default) color for the border =
#bbbbbb (compare Template:Infobox_Country on the English wikipedia), which can
be set in vanilla HTML using the font element.


Version: 1.7.x
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz6072.
bzimport created this task.Via LegacyMay 24 2006, 11:56 AM
bzimport added a comment.Via ConduitJul 5 2006, 7:15 PM

shanemarkle wrote:

Yeah. That needs to be implemented. ~~~~

bzimport added a comment.Via ConduitJul 5 2006, 7:19 PM

robchur wrote:

Please do not post comments on bug reports which exist for the purposes of
advocacy. It clogs up our inboxes and wastes time and space here.

Raymond added a comment.Via ConduitMay 22 2007, 9:53 PM

Fixed with r22358.

Usage: [[Image:Filename|border|100px|right]]

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:50 AM
Gilles moved this task to Closed on the Multimedia workboard.Via WebDec 4 2014, 10:52 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.